<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    exclude-result-prefixes="xs"
    version="2.0">
        
    <xsl:output method="html"
        version="5.0"
        encoding="utf-8"
        indent="yes"
        omit-xml-declaration="yes" />
    
    
    <xsl:template match="/">
        <html>
            <head>
                <title>ASIS&amp;T Student Chapters (Partial List)</title>
                <link href="chapter_style.css" rel="stylesheet" type="text/css"/>
            </head>
            <body>
                <h2>ASIS&amp;T Student Chapters (Partial List)</h2>
                <xsl:for-each select="chapters/chapter">
                    <p>
                        <b><xsl:value-of select="chapterName"/></b><br/>
                        <xsl:for-each select="advisor">
                            <i>
                                Advisor: <xsl:value-of select="name"/>
                                <xsl:if test="email">
                                    <xsl:text> (</xsl:text>
                                    <xsl:value-of select="email"/>
                                    <xsl:text>)</xsl:text>
                                </xsl:if>
                            </i>
                            <br/>
                        </xsl:for-each>
                        <xsl:for-each select="alternateAdvisor">
                            <i>
                                Alternate Advisor: <xsl:value-of select="name"/>
                                <xsl:if test="email">
                                    <xsl:text> (</xsl:text>
                                    <xsl:value-of select="email"/>
                                    <xsl:text>)</xsl:text>
                                </xsl:if>
                            </i>
                            <br/>
                        </xsl:for-each>
                        <a href="{schoolWebURL}">School Web site</a><br/>
                        <xsl:if test="chapterWebURL">
                            <a href="{chapterWebURL}">Chapter Web site</a><br/>   
                        </xsl:if>
                        
                    </p>
                </xsl:for-each>
                <br/>
                <br/>
                <p>
                    Content current as of <xsl:value-of select="/chapters/@asOf"/>
                    <xsl:text>.</xsl:text>
                </p>
                
            </body>
        </html>
        
        
    </xsl:template>
    
    
</xsl:stylesheet>